package org.bdware.sc.bean;

import org.bdware.doip.codec.operations.BasicOperations;
import org.bdware.sc.node.AnnotationNode;
import org.bdware.sc.node.ContractNode;
import org.bdware.sc.util.JsonUtil;

public class DoipOperationInfo {
    public BasicOperations operationType;

    public static DoipOperationInfo create(AnnotationNode annotationNode, ContractNode contractNode) {
        DoipOperationInfo info = new DoipOperationInfo();
        if (annotationNode.getArgs().size() == 1) {
            String str = annotationNode.getArgs().get(0);
            info = JsonUtil.fromJson(str, DoipOperationInfo.class);
        }
        System.out.println("[DoipOperationInfo] annotationNode:" + JsonUtil.toJson(annotationNode));
        return info;
    }
}
